std::chrono::hh_mm_ss(3)

NAME
std::chrono::hh_mm_ss - std::chrono::hh_mm_ss

Synopsis
   Defined in header <chrono>
   template< class Duration > (since C++20)
   class hh_mm_ss;
   The class template hh_mm_ss splits a std::chrono::duration into a "broken down" time
   such as hours:minutes:seconds, with the precision of the split determined by the
   Duration template parameter. It is primarily a formatting tool.
   Duration must be a specialization of std::chrono::duration, otherwise the program is
   ill-formed.

Member constants
   constexpr unsigned the smallest possible integer in the range [0, 18] such that
   fractional_width precision (see below) will exactly represent the value of
   [static] Duration{1}, or 6 if there's no such integer
                      (public static member constant)

Member types
   Member type Definition
               std::chrono::duration<std::common_type_t<Duration::rep,
   precision std::chrono::seconds::rep>, std::ratio<1,
               10^fractional_width>>

Member functions
   constructor constructs a hh_mm_ss
                      (public member function)
   is_negative
   hours obtains components of the broken-down time
   minutes (public member function)
   seconds
   subseconds
   operator precision obtains the stored std::chrono::duration
   to_duration (public member function)

Non-member functions
   operator<< outputs a hh_mm_ss into a stream
   (C++20) (function template)

Helper classes
   std::formatter<std::chrono::hh_mm_ss> formatting support for hh_mm_ss
   (C++20) (class template specialization)